Bug 179916 - Review Request: docbook2X - Convert docbook into man and Texinfo
Summary: Review Request: docbook2X - Convert docbook into man and Texinfo
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-02-03 20:45 UTC by Patrice Dumas
Modified: 2010-07-12 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-14 20:33:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrice Dumas 2006-02-03 20:45:46 UTC
SRPM Name or Url:http://www.environnement.ens.fr/perso/dumas/fc-srpms/docbook2X-0.8.5-1.src.rpm 
Description: 

docbook2X converts DocBook documents into man pages and Texinfo
documents.

Comment 1 José Matos 2006-02-06 20:14:58 UTC
Expect a review soon. :-) 

Comment 2 José Matos 2006-02-07 11:26:33 UTC
I like the package but it fails to build in mock:  
  
Checking for unpackaged  
file(s): /usr/lib/rpm/check-files /var/tmp/docbook2X-0.8.5-1.fc4-root-mockbuild  
error: Installed (but unpackaged) file(s) found:  
   /usr/share/info/dir  
  
  
RPM build errors:  
    Installed (but unpackaged) file(s) found:  
   /usr/share/info/dir  
  

Comment 3 Patrice Dumas 2006-02-07 21:00:06 UTC
An updated version that builds in mock, and with minor fixes is there:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/docbook2X-0.8.5-2.src.rpm

rpmlint isn't happy with libxslt as Require, but docbook2X requires xsltproc
which is in libxslt.

Comment 4 Paul Howarth 2006-02-08 08:08:32 UTC
(In reply to comment #3)
> rpmlint isn't happy with libxslt as Require, but docbook2X requires xsltproc
> which is in libxslt.

Perhaps you could change the dependency from libxslt to /usr/bin/xsltproc then?

Comment 5 José Matos 2006-02-08 10:36:02 UTC
(In reply to comment #4) 
>  
> Perhaps you could change the dependency from libxslt to /usr/bin/xsltproc 
then? 
 
I think that in this case this it is just a style issue. I don't have 
any problem with the dependency as it is. :-) 

Comment 6 José Matos 2006-02-09 19:57:27 UTC
Preliminary review: 
 
Review for release 2: 
* RPM name is OK 
* Source docbook2X-0.8.5.tar.gz is the same as upstream 
* Spec file is readable 
* License is correct 
* This is the latest version 
* Builds fine in mock 
* rpmlint of docbook2X looks OK 
  it complains about the lib nature of one of its dependencies but in this 
case it is bogus. 
 
* Package follows packaging rules OK 
* File list of docbook2X looks OK 
 
One minor question, since the package searches tidy is there any reason not 
to BR it? 
 
Package is APPROVED. 

Comment 7 Patrice Dumas 2006-02-09 20:51:21 UTC
It searches tidy and xmllint to rebuild the doc, but the doc needs not to be
rebuilt, as they are packaged.

Comment 8 Marc Bradshaw 2010-07-08 22:48:12 UTC
Package Change Request
======================
Package Name: docbook2X
New Branches: EL-4 EL-5 EL-6
Owners: deebs
InitialCC: 

As discussed with Patrice on epel-devel-list, I would like to take ownership of these packages for the EPEL branches only.

Comment 9 Kevin Fenzi 2010-07-09 18:00:50 UTC
cvs done.

Comment 10 Marc Bradshaw 2010-07-12 03:01:03 UTC
Package Change Request
======================
Package Name: docbook2X
New Branches: EL-6
Owners: deebs
InitialCC: 

Branch for EL-6 does not appear to be created in cvs, have removed the 
nobranch file from EL-5 branch, please create branch for EL-6. Thanks.

Comment 11 Kevin Fenzi 2010-07-12 16:41:08 UTC
Should be there now.


Note You need to log in before you can comment on or make changes to this bug.